New Question
0

Coriolis Openstack cloud endpoint validation failing

asked 2020-08-11 07:23:41 +0200

anonymous user

Anonymous

updated 2020-08-18 02:35:52 +0200

Hi all,

I have two cloud regions, and a project in each region.

I want to migrate VMs form test project A to test project B using Coriolis.

Everything is setup, and configured (active IPsec tunnel between the projects), but when I attempt to add an openstack cloud endpoint (VM) for migration it always fails the validation with the error "The server has either erred or is incapable of performing the requested operation."

Error Details: REQUEST METHOD POST

REQUEST DATA { "validate-connection": null }

RESPONSE STATUS 500 - Internal Server Error

The cloud endpoint credentials/configurations are all correct, such as endpoint name, username, password, authentication URL, and project name.

The 500 error method lead me to believe there was a networking issue with the server, but I have checked everything I can thing of; firewall policies, security groups etc

Any help, or questions on the issue would be much appreciated as I'm not sure what else to try.

EDIT

Thanks for your response!

I can see the coriolis-worker container, so I'm not quite sure how I am supposed to "ensure that the Worker Service of your Coriolis installation has network access to all of the API endpoints of the core services (Keystone, Nova, Neutron, Glance, and Cinder) of your OpenStack installation"? Do I do this in a bash terminal on the container?

There are restrictions, but the parameters are fine, I enter them all in the fields under the advanced tab but still get the erred error

Here are the worker logs

Traceback (most recent call last): File "/usr/local/lib/python3.6/dist-packages/keystoneauth1/session.py", line 1004, in sendrequest resp = self.session.request(method, url, kwargs) File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request resp = self.send(prep, *send_kwargs) File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send r = adapter.send(request, *kwargs) File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='removed-api.removed.com.au', port=5443): Max retries exceeded with url: /v3/auth/tokens (Caused by NewConnectionError(': Failed to establish a new connection: [Errno -3] Lookup timed out',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/root/coriolis-provider-openstack/coriolisprovideropenstack/common.py", line 1152, in validateconnection ctxt=ctxt, connectioninfo=connectioninfo) File "/root/coriolis-provider-openstack/coriolisprovideropenstack/common.py", line 1108, in init regionname=glanceregionname) File "/usr/local/lib/python3.6/dist-packages/keystoneauth1/session.py", line 1225, in getendpoint return auth.getendpoint(self, kwargs) File "/usr/local/lib/python3.6/dist-packages/keystoneauth1/identity/base.py", line 380, in get_endpoint allow_version_hack=allow_version_hack, *kwargs) File "/usr/local/lib/python3.6/dist-packages/keystoneauth1/identity/base.py", line 271, in getendpointdata servicecatalog = self.getaccess(session).servicecatalog File "/usr/local/lib/python3.6/dist-packages/keystoneauth1/identity/base.py", line 134, in getaccess self.authref = self.getauthref(session) File "/usr/local/lib/python3.6/dist-packages/keystoneauth1/identity/v3/base.py", line 184, in ... (more)

edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
0

answered 2020-08-11 16:17:43 +0200

Nashwan Azhari gravatar image

Hello, and thank you for your question!

During OpenStack endpoint validation, the Coriolis installation will attempt to login using the OpenStack user credentials you have given Coriolis to ensure that Migration/Replica operations can be performed.

The actual login call comes from the Coriolis Worker Service (which resides in the "coriolis-worker" Docker container, in case you're using an All-in-One Coriolis installation).

Thusly, I'd like to request that you:

  • ensure that the Worker Service of your Coriolis installation has network access to all of the API endpoints of the core services (Keystone, Nova, Neutron, Glance, and Cinder) of your OpenStack installation
  • if there are any restrictions on which service interfaces (Public, Admin or Internal) or OpenStack Regions are accessible from the Coriolis installation, please double-check the Interface and Region-related parameters which can be found under the "Advanced" tab when creating an OpenStack Endpoint,
  • if the error persists, please inspect the Worker Service logs by either:
    • downloading them from the "Logs" section of the Coriolis Web User Interface
    • fetching them from the Coriolis installation itself (found under "/var/log/coriolis/coriolis-worker.log" on the Coriolis installation)

If you could provide the log sample with the pertinent error trace we could gladly review it for you. NOTE: please remember to scrub any information perceived as sensitive from the log sample before sharing it.

Much obliged, Nashwan.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2020-08-11 07:23:41 +0200

Seen: 53 times

Last updated: Aug 18